body {
  font-family: "Playfair Display", serif;
  margin: 30px;
}

/* Marges pour mobile */
@media all and (max-width: 750px) {
  body {
    margin: 15px;
  }
}

/* Marges pour tablette */
@media all and (max-width: 1024px) {
  body {
    margin: 20px;
  }
}

hr {
  border-top: solid 1px rgba(0, 0, 0, 0.3);
  border-bottom: solid 1px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
}

.title-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  background-color: #eff0f4;
  border-radius: 5px;
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.4);
  padding: 20px;
}

/* Adaptation de l'image du logo pour mobile et tablette */
.title-container img {
  width: 100px;
  object-fit: cover;
  margin-right: 25px;
}

.title {
  color: rgba(0, 0, 0, 0.7);
  font-weight: normal;
}

.sub-title {
  text-align: center;
  margin: 50px;
  margin-bottom: 40px;
}

form {
  display: flex;
  flex-direction: column;
}

.input-label {
  margin-left: 10px;
}

input {
  border-radius: 5px;
  border-width: 1px;
  padding: 5px;
  margin: 10px 0 20px;
}

.buttons-box {
  margin: 20px 0 30px;
  display: flex;
  justify-content: center;
}

/* Alignement des boutons en colonne pour mobile */
@media all and (max-width: 750px) {
  .buttons-box {
    flex-direction: column;
    align-items: center;
  }
}

button {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  font-weight: 300;
  border: none;
  border-radius: 3px;
  color: #eff0f4;
  cursor: pointer;
  width: 190px;
  padding: 10px 40px;
  margin: 0px 40px;
}

/* Ajustement des boutons pour mobile */
@media all and (max-width: 750px) {
  button {
    margin: 5px 0 10px;
  }
}

.button--green {
  background-color: #469388;
}
.button--red {
  background-color: #df5a4b;
}

.result-box-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;
  margin-bottom: 50px;
}

/* Affichage en colonne unique pour mobile */
@media all and (max-width: 750px) {
  .result-box-grid {
    grid-template-columns: repeat(1, 1fr);
  }
}

/* Affichage en trois colonnes pour bureau */
@media all and (min-width: 1024px) {
  .result-box-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

.result-box {
  display: flex;
  flex-direction: column;
  position: relative;
  background-color: #e0e0e0;
  border: solid 1px;
  border-radius: 3px;
  padding: 5px 30px;
}

.fa-bookmark {
  color: #469388;
  height: 25px;
  display: block;
  position: absolute;
  right: 20px;
  top: 20px;
  cursor: pointer;
}

.fa-trash {
  color: #df5a4b;
  height: 25px;
  display: block;
  position: absolute;
  right: 20px;
  top: 20px;
  cursor: pointer;
}

.box-title {
  font-weight: bold;
  font-size: 18px;
  margin-bottom: 5px;
  padding-right: 20px;
}

.box-id {
  font-weight: bold;
  font-style: italic;
  margin-bottom: 0;
}

.box-description {
  font-size: 15px;
  margin-bottom: 0;
}

.box-author {
  margin-bottom: 0;
}

.cover {
  display: flex;
  justify-content: center;
  margin: 15px 0;
}
.cover img {
  max-height: 250px;
  object-fit: contain;
}

.no-results-message {
  color: red;
  text-align: center;
  font-weight: bold;
}

#error-message {
  display: block;
  text-align: center;
  color: #df5a4b;
}
